Package org.apache.qpid.proton.codec

# Interface LongType.LongEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<Long>`, `TypeConstructor<Long>`, `TypeEncoding<Long>`

Enclosing class:
  `LongType`

public static interface LongType.LongEncoding extends PrimitiveTypeEncoding<Long>

## Method Summary

Modifier and Type
Method
Description
`long`
`readPrimitiveValue()`
`void`
`write(long l)`
`void`
`writeValue(long l)`

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`

## Method Details

### write

void write(long l)

### writeValue

void writeValue(long l)

### readPrimitiveValue

long readPrimitiveValue()